<?php

namespace App\Notification\NotificationBody\Hellcase;

use App\Browser\Jobs\Hellcase\HellcaseLoginQrCode;
use App\Notification\NotificationBody;

class HellcaseNotificationLoginBody extends NotificationBody {

    private string $content = "Veuillez utiliser steam guard pour vous connecter à Hellcase.\nLe QR code se rafrachira toutes les ". HellcaseLoginQrCode::QR_CODE_VALIDITY ." secondes.";

    /**
     * @inheritDoc
     */
    public function toMarkdownString(): string {
        return $this->content;
    }

    /**
     * @inheritDoc
     */
    public function toString(): string {
        return $this->content;
    }
}
